# MatGetColumnIJ

Returns the compressed column storage i and j indices for sequential matrices.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatGetColumnIJ(Mat mat,PetscInt shift,PetscTruth symmetric,PetscTruth blockcompressed,PetscInt *n,PetscInt *ia[],PetscInt* ja[],PetscTruth *done)

Collective on Mat

### Input Parameters

| mat | - the matrix
| shift | - 1 or zero indicating we want the indices starting at 0 or 1
| symmetric | - PETSC_TRUE or PETSC_FALSE indicating the matrix data structure should be symmetrized
| blockcompressed | - PETSC_TRUE or PETSC_FALSE indicating if the nonzero structure of the blockcompressed matrix is desired or not [inode, baij have blockcompressed nonzero structure which is different than the full nonzero structure]

### Output Parameters

| n | - number of columns in the (possibly compressed) matrix
| ia | - the column pointers
| ja | - the row indices
| done | - PETSC_TRUE or PETSC_FALSE, indicating whether the values have been returned

### See Also

MatGetRowIJ(), MatRestoreColumnIJ()

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages